<?php 
// +-----------------------------------------------------------------------+
// | Memories for Piwigo by TEMMII                                         |
// +-----------------------------------------------------------------------+
// | Copyright(C) 2008-2020 ddtddt               http://temmii.com/piwigo/ |
// +-----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify  |
// | it under the terms of the GNU General Public License as published by  |
// | the Free Software Foundation                                          |
// |                                                                       |
// | This program is distributed in the hope that it will be useful, but   |
// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
// | General Public License for more details.                              |
// |                                                                       |
// | You should have received a copy of the GNU General Public License     |
// | along with this program; if not, write to the Free Software           |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
// | USA.                                                                  |
// +-----------------------------------------------------------------------+

function listyears(){
  global $conf, $template;
  $confpfoya = safe_unserialize($conf['pfoya']);

	for ($i = 1; $i <= $confpfoya['pfoya_datemax']; $i++) {
	$daydate=date("Y-m-d", strtotime('-'.$i.' year'));

	  $query = '
		SELECT COUNT(DISTINCT(i.id)) as count 
		FROM '.IMAGES_TABLE.' AS i
		INNER JOIN '.IMAGE_CATEGORY_TABLE.' AS ic ON i.id = ic.image_id
		INNER JOIN '.CATEGORIES_TABLE.' AS c ON ic.category_id = c.id 
		WHERE ' .  
		  get_sql_condition_FandF(
			array(
			  'forbidden_categories' => 'category_id',
			  'visible_categories' => 'category_id',
			  'visible_images' => 'image_id',
			  ),
			'', true
			);
	  $query .= '
		and DATE ('.$confpfoya['pfoya_dateb'].') ="'.$daydate.'";';
	  
	  $row = pwg_db_fetch_assoc(pwg_query($query));
	  if ($i == 1){
	    $items = array(
		  'NB_IMAGES' => $row['count'],
		  'URL' => make_index_url(array('section' => 'memories-1-year-ago')),
		  'LABEL' => l10n('1 year ago'),
		);
	    $template->append('pfoyas', $items);
	  }else{
		$items = array(
		  'NB_IMAGES' => $row['count'],
		  'URL' => make_index_url(array('section' => 'memories-'.$i.'-years-ago')),
		  'LABEL' => l10n('%d years ago',$i),
		);
	    $template->append('pfoyas', $items);
	  }
	}

}

function listyearsBlock(){
  global $conf, $template;
  $confpfoya = safe_unserialize($conf['pfoya']);
	$bnipfoya=0;
	for ($i = 1; $i <= $confpfoya['pfoya_datemax']; $i++) {
	$daydate=date("Y-m-d", strtotime('-'.$i.' year'));
	  $query = '
		SELECT COUNT(DISTINCT(i.id)) as count 
		FROM '.IMAGES_TABLE.' AS i
		INNER JOIN '.IMAGE_CATEGORY_TABLE.' AS ic ON i.id = ic.image_id
		INNER JOIN '.CATEGORIES_TABLE.' AS c ON ic.category_id = c.id 
		WHERE ' .  
		  get_sql_condition_FandF(
			array(
			  'forbidden_categories' => 'category_id',
			  'visible_categories' => 'category_id',
			  'visible_images' => 'image_id',
			  ),
			'', true
			);
	  $query .= '
		and DATE ('.$confpfoya['pfoya_dateb'].') ="'.$daydate.'";';
	  
	  $row = pwg_db_fetch_assoc(pwg_query($query));
	  $bnipfoya += $row['count'];
	  if ($i == 1){
	    $items = array(
		  'NB_IMAGES' => $row['count'],
		  'URL' => make_index_url(array('section' => 'memories-1-year-ago')),
		  'LABEL' => l10n('1 year ago'),
		);
	  }else{
		$items = array(
		  'NB_IMAGES' => $row['count'],
		  'URL' => make_index_url(array('section' => 'memories-'.$i.'-years-ago')),
		  'LABEL' => l10n('%d years ago',$i),
		);
	  }
	  
	  $template->append('pfoyasblock', $items);
	}
      $template->assign('BNIPFOYA',$bnipfoya);
}

function ws_memories_photos_list($params, &$service){
  $_SESSION['memodate']=$params['memodate'];
}
?>